-----------------------------------------------------------------------------------------------------------------------	
--
--	CUTSCENE: "INTRO"
--
-----------------------------------------------------------------------------------------------------------------------	

function Cutscene_INTRO_Start()
	Interface_SetCinematicMode(1)
	
	Display.SetFogStartAndEnd (5000, 15000)
  	Display.SetRenderFog (1)
	Display.SetFarClipPlaneMinAndMax(0, 16000) 
	      
        CreateEntity(5, Entities.PU_LeaderSword4, GetPosition("CUTSCENE_INTRO_SOLDIER01"), "SOLDIER1" )

        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER02"), "SOLDIER2" )
       	CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER03"), "SOLDIER3" )
      	CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER04"), "SOLDIER4" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER05"), "SOLDIER5" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER06"), "SOLDIER6" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER07"), "SOLDIER7" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER08"), "SOLDIER8" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER09"), "SOLDIER9" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER10"), "SOLDIER10" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER11"), "SOLDIER11" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER12"), "SOLDIER12" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER13"), "SOLDIER13" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER14"), "SOLDIER14" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER15"), "SOLDIER15" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER16"), "SOLDIER16" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER17"), "SOLDIER17" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER18"), "SOLDIER18" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER19"), "SOLDIER19" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER20"), "SOLDIER20" )
        CreateEntity(5, Entities.PU_SoldierSword4, GetPosition("CUTSCENE_INTRO_SOLDIER21"), "SOLDIER21" )                                                                                               
                                                 
    
      LookAt("SOLDIER1","SOLDIER2")     
    
	for i=2,21 do
		LookAt("SOLDIER"..i,"SOLDIER1") 
    end
                              
end




function Cutscene_INTRO_Move01()    

	for i=2,21 do
		LookAt("SOLDIER"..i,"SOLDIER20") 
    end

end



function Cutscene_INTRO_Move02()    

	for i=2,21 do
		LookAt("SOLDIER"..i,"SOLDIER1") 
    end
    
end

function Cutscene_INTRO_Text01()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT01")
	
end


function Cutscene_INTRO_Text02()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT02")
	
end


function Cutscene_INTRO_Text03()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT03")
	
end


function Cutscene_INTRO_Text04()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT04")
	
end


function Cutscene_INTRO_Text05()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT05")
	
end


function Cutscene_INTRO_Text06()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT06")
	
end


function Cutscene_INTRO_Text07()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT07")
	
end


function Cutscene_INTRO_Text08()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT08")
	
end


function Cutscene_INTRO_Text09()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT09")
	
end


function Cutscene_INTRO_Text10()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT10")
	
end


function Cutscene_INTRO_Text11()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT11")
	
end


function Cutscene_INTRO_Text12()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT12")
	
end


function Cutscene_INTRO_Text13()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT13")
	
end


function Cutscene_INTRO_Text14()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT14")
	
end


function Cutscene_INTRO_Text15()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT15")
	
end



function Cutscene_INTRO_Text16()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT16")
	
end



function Cutscene_INTRO_Text17()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT17")
	
end



function Cutscene_INTRO_Text18()
	 SpokenCinematicText("CM02_08_UnexploredLand/CUTSCENE_INTRO_TEXT18")
	
end

-------------------------------------------------------------------------------------------------------------------------
function Cutscene_INTRO_Cancel()
	Cutscene_INTRO_Finished()	
		
end

-------------------------------------------------------------------------------------------------------------------------
function Cutscene_INTRO_Finished()
	
--	DestroyEntity("GOVERNOR1") 
	
	for i=1,21 do
		DestroyEntity("SOLDIER"..i)
	end
	
	Display.SetFarClipPlaneMinAndMax(0, 0) 
	
	Interface_SetCinematicMode(0)
	CutsceneDone()
		
end